using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Domain
{
	/// <summary>
	/// 客房服务记录
	/// </summary>
	public class RoomServiceRecord
	{
		/// <summary>
		/// ID
		/// </summary>
		public virtual long ID
		{
			get;
			set;
		}
		/// <summary>
		/// HostID
		/// </summary>
		public virtual int HostID
		{
			get;
			set;
		}
		/// <summary>
		/// 服务类型
		/// </summary>
		public virtual string AlarmCode
		{
			get;
			set;
		}
		/// <summary>
		/// 服务名称
		/// </summary>
		public virtual string Name
		{
			get;
			set;
		}
		/// <summary>
		/// 房号
		/// </summary>
		public virtual string RoomNumber
		{
			get;
			set;
		}
		/// <summary>
		/// 服务开始时间
		/// </summary>
		public virtual DateTime StartTime
		{
			get;
			set;
		}
		/// <summary>
		/// 服务结束时间
		/// </summary>
		public virtual DateTime? EndTime
		{
			get;
			set;
		}
		/// <summary>
		/// 状态
		/// </summary>
		public virtual bool Status
		{
			get;
			set;
		}
		/// <summary>
		/// 操作人
		/// </summary>
		public virtual string Account
		{
			get;
			set;
		}
	}
}
